Bug 231180 - Patch for: [Editor|General options] Align options to the left and other usability issues
Patch for: [Editor|General options] Align options to the left and other usabi...
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Options
7.4
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Petr Somol
issues@editor
: A11Y, PATCH_AVAILABLE, UI_REVIEW, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 22:06 UTC by markiewb
Modified: 2013-09-02 21:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Shows the issue (38.64 KB, image/png)
2013-06-12 22:07 UTC, markiewb
Details
Proposed patch (16.68 KB, patch)
2013-06-12 22:50 UTC, markiewb
Details | Diff
Patch in action (78.23 KB, image/png)
2013-06-12 22:50 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-06-12 22:06:58 UTC
[ JDK VERSION : 1.7.0_21 ]

* Open Tools|Options|Editor|General

ACTUAL: the widget/label for bracketmatching/camelcase options are aligned to
the center - see screenshot

EXPECTED: the widget/label for bracketmatching/camelcase options are aligned to
the left (as usual in other options panel)
Comment 1 markiewb 2013-06-12 22:07:26 UTC
Created attachment 135725 [details]
Shows the issue
Comment 2 markiewb 2013-06-12 22:44:03 UTC
Also
* "Editor search behaviour" has no mnemonic -> should have mnemonic
* the description text of camel case behaviour is
** wrapped without any reason -> wrap should be removed
** is italic and surrounded by parentheses whereas the description text of "Editor search behaviour" has another style -> should be conistent
Comment 3 markiewb 2013-06-12 22:50:05 UTC
Created attachment 135727 [details]
Proposed patch

I like to propose the given patch to solve the issue.

It contains the following changes:
* relayout of the dialog (aligned options to the left)
* update of the description texts to look consistent
* mnemonic for "Editor Search Behavior" (and used setLabelFor(xxx))
* NO behaviour NOR logic was changed

Have a look at the attached screenshot to see the patch in action.
Comment 4 markiewb 2013-06-12 22:50:28 UTC
Created attachment 135728 [details]
Patch in action
Comment 5 David Strupl 2013-06-20 14:14:51 UTC
Petr, can you please review the changed UI?

markiewb, are you on the contributor list
https://netbeans.org/about/legal/approved-contributors.html
or here
http://www.oracle.com/technetwork/community/oca-486395.html
?

Thanks, David
Comment 6 David Strupl 2013-06-20 14:15:59 UTC
oops, I have found you: Benno Markiewicz - NB - markiewb. Ok.
Comment 7 Petr Somol 2013-06-20 19:45:36 UTC
thanks for catching this. You're right regarding the design change. I just added more space between the three categories so that Camel Case Behaviour in particular becomes better distinguishable from the previous category.
in jetmain
http://hg.netbeans.org/jet-main/rev/eee7f48bb94d
Comment 8 Quality Engineering 2013-06-22 02:06:21 UTC
Integrated into 'main-golden', will be available in build *201306212301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/eee7f48bb94d
User: Petr Somol <psomol@netbeans.org>
Log: #231180 - Patch for: [Editor|General options] Align options to the left and other usability issues
Comment 9 markiewb 2013-07-01 22:41:37 UTC
Some minor issues left
* mnemonic for "editor search behaviour" is missing
* description "Caret stops at ..." doesn't need an artificial linebreak IMHO
Comment 10 Milutin Kristofic 2013-07-23 15:12:58 UTC
Fixed minor issues: http://hg.netbeans.org/jet-main/rev/1cf94c2a56e9

Thank you again.
Comment 11 Quality Engineering 2013-07-25 02:28:20 UTC
Integrated into 'main-silver', will be available in build *201307242300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1cf94c2a56e9
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #231180 - Patch for: [Editor|General options] Align options to the left and other usability issues
Comment 12 markiewb 2013-09-02 21:29:36 UTC
Verified in 201309020001


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo